package controller;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ControllerServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	@SuppressWarnings("unchecked")
	protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException,
			IOException {
		String action = request.getParameter("action");
		String className = "controller." + action;
		try {
			Class temporaryClass = Class.forName(className);

			BusinessLogic businessLogic = (BusinessLogic) temporaryClass.newInstance();
			businessLogic.execute(request, response);
		} catch (Exception e) {
			throw new ServletException("A logica de negocios causou uma excecao", e);
		}
	}

}
