package controller;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.json.JSONObject;

import util.Worker;

public class SearchBandConcerts implements BusinessLogic {

	@Override
	public void execute(HttpServletRequest request, HttpServletResponse response) throws Exception {
		Worker worker = new Worker();

		JSONObject jsonOBject = worker.getShows(request.getParameter("bandName"));

		String jsonResponse = jsonOBject.toString();

		response.setContentType("text/x-json");
		try {
			PrintWriter out = response.getWriter();
			out.write(jsonResponse);
			out.flush();
			out.close();

		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
